package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.DnfmodVo;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.common.setfeg.vo.SetfegVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitengStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Nidgrp oldnidgrp;
    private DnfmodVo dnfmod;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (dnfmod == null) {
            dnfmod = new DnfmodVo();
        }
    }
}


